VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IPlugInterfaceSupport Class Referenceabstract

Host callback interface for an edit controller: Vst::IPlugInterfaceSupport. More...

`#include <ivstpluginterfacesupport.h>`

Inheritance diagram for IPlugInterfaceSupport:

## Public Member Functions
virtual tresult | isPlugInterfaceSupported (const TUID _iid)=0
| Returns kResultTrue if the associated interface to the given _iid is supported/used by the host.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Host callback interface for an edit controller: Vst::IPlugInterfaceSupport.

- [host imp]
- [released: 3.6.12]
- [optional]

Allows a plug-in to ask the host if a given plug-in interface is supported/used by the host. It is implemented by the hostContext given when the component is initialized.

# Example

//------------------------------------------------------------------------
tresult PLUGIN_API MyPluginController::initialize (FUnknown* context)
{
// ...
FUnknownPtr<IPlugInterfaceSupport> plugInterfaceSupport (context);
if (plugInterfaceSupport)
{
if (plugInterfaceSupport->isPlugInterfaceSupported (IMidiMapping::iid) == kResultTrue)
// IMidiMapping is used by the host
}
// ...
}

See Also
  IPluginBase

## Member Function Documentation

virtual tresult isPlugInterfaceSupported | ( | const TUID | _iid | ) |
| pure virtual

Returns kResultTrue if the associated interface to the given _iid is supported/used by the host.

Implemented in PlugInterfaceSupport.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.